QUVI-SCAN(1)

NAME
quvi-scan - The dumbed-down embedded media URL scanner

SYNOPSIS

quvi scan [OPTIONS] [ARGS]

DESCRIPTION

This command scans the input URLs for embedded media URLs and prints them to the stdout. The support is determined by the current selection of libquvi-scripts(7).

DEFAULT BEHAVIOUR

The command passes the contents of the specified URLs to the scan scripts of the libquvi-scripts(7) which will then search the contents for embedded media URLs.

By default, the command will print the found media URLs in the "rfc2483" format. The --print-format may be used to change this.

SUPPORT

The support for the media hosts is determined by the current selection of libquvi-scripts(7).

CONFIGURATION

See quvirc(5) for more information about the groups and the variables that quvi parses.

INPUT

The command will read stdin by default. The input is expected to contain URLs. The command arguments are expected to be either URLs or file paths. If the input is read from either stdin or a file, the contents are read as RFC2483. The input may contain file URIs.

OPTIONS

  Core

-p, --print-format FORMAT (default: varies)
    Specify the format in which the properties should be printed. The command uses a different default value for this, depending on the input URL. FORMAT may be one of the following values:

        •

        enum

        •

        json - available only if quvi was built with JsonGLib

        •

        rfc2483

        •

        xml - available only if quvi was built with libxml

    Note

    The default value varies, see DEFAULT BEHAVIOUR.

    config: core.print-format=<FORMAT>

-b, --verbosity LEVEL (default: verbose)
    Specify the verbosity level of the command. LEVEL may be:

        •

        debug - verbose + enable verbose output for libcurl (CURLOPT_VERBOSE)

        •

        verbose - default

        •

        quiet - errors only

        •

        mute - nothing at all

    config: core.verbosity=<LEVEL>

  HTTP

-c, --enable-cookies
    Have libcurl parse the received cookies and use them in the subsequent HTTP requests.

    config: http.enable-cookies=<boolean>

-u, --user-agent USERAGENT (default: Mozilla/5.0)
    Identify as USERAGENT to the HTTP server.

    Note

    libquvi-scripts(7) may override this value

    config: http.user-agent=<USERAGENT>

EXAMPLES

    • Scan and print the media URLs in XML:

        $ quvi -p xml scan URL

    • Scan URL and extract the media:

        $ quvi scan URL | quvi get

ENVIRONMENT

See quvi(1)

EXIT STATUS

Either EXIT_SUCCESS or EXIT_FAILURE. The actual value depends on the platform, on POSIX systems they are 0 (success) and 1 (failure).

SEE ALSO

quvirc(5), libquvi(3)

FURTHER RESOURCES

Home

    http://quvi.sourceforge.net/

Development code

    git://repo.or.cz/quvi-tool.git

gitweb

    http://repo.or.cz/w/quvi-tool.git

AUTHORS

Toni Gundogdu <legatvs@gmail.com>
    Author.

REPORTING BUGS

Report bugs to the quvi-devel mailing list <quvi-devel@lists.sourceforge.net> where the development and the maintenance is primarily done. You do not have to be subscribed to the list to send a message there.

LICENSE

quvi is Free Software licensed under the GNU Affero GPLv3+

QUVI

Part of the quvi(1) suite